package com.prolog.cs.biz.outbound.model.vo.check;

import com.prolog.framework.core.annotation.Column;

import java.io.Serializable;
import java.util.List;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

@ApiModel("拼箱信息")
public class BarCodeHVO implements Serializable {

    private static final long serialVersionUID = 7211102765948341749L;
    @ApiModelProperty(value = "容器明细")
    List<BarCodeDVO> barcodeDList;

    private String id;

    @ApiModelProperty(value = "状态（0-未打印，1-已打印）")
    @Column(value = "status")
    private char status;


    @ApiModelProperty(value = "订单id")
    private String billGroupId;

    @ApiModelProperty(value = "类型（0-拼箱码 1-整件拣选码）")
    @Column(value = "type")
    private String type;

    @ApiModelProperty(value = "条码")
    @Column(value = "barcode")
    private String barcode;

    @ApiModelProperty(value = "拼箱编号")
    @Column(value = "lcl_no")
    private Integer lclNo;

    @ApiModelProperty(value = "复核台编码")
    @Column(value = "station_code")
    private String stationCode;

    @ApiModelProperty(value = "当前容器号")
    private String containerCode;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getBillGroupId() {
        return billGroupId;
    }

    public void setBillGroupId(String billGroupId) {
        this.billGroupId = billGroupId;
    }


    public char getStatus() {
        return status;
    }

    public void setStatus(char status) {
        this.status = status;
    }

    public List<BarCodeDVO> getBarcodeDList() {
        return barcodeDList;
    }

    public void setBarcodeDList(List<BarCodeDVO> barcodeDList) {
        this.barcodeDList = barcodeDList;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getBarcode() {
        return barcode;
    }

    public void setBarcode(String barcode) {
        this.barcode = barcode;
    }

    public Integer getLclNo() {
        return lclNo;
    }

    public void setLclNo(Integer lclNo) {
        this.lclNo = lclNo;
    }

    public String getStationCode() {
        return stationCode;
    }

    public void setStationCode(String stationCode) {
        this.stationCode = stationCode;
    }

    public String getContainerCode() {
        return containerCode;
    }

    public void setContainerCode(String containerCode) {
        this.containerCode = containerCode;
    }
}
